List all blockout times of a center

Retrives the list of Blockout times created between the start date and end date of the center whose ID is passed as {center_id} and block out times of all the rooms or employees who had a block out time created in the appointment book for that center.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response Object

NameTypeDescription
block_out_timesobjectObject containing the details of all the blockout times of a center.

block_out_times Object

NameTypeDescription
block_out_time_idguidUnique identifier of the block out time.
employeestringName of the employee associated with the block out time.
roomobjectObject containing the details of the room associated with the block out time.
block_out_time_typeobjectObject containing the block out time type details.
start_timestringStart time of the block out time.
end_timestringEnd time of the block out time.
start_time_in_centerstringStart time as per the center hours.
end_time_in_centerstringEnd time as per the center hours.
notesstringNotes associated with the block out time.
recurring_block_out_timeobjectObject containing the details of the recurring block out time.

room Object

NameTypeDescription
idguidUnique identifier of the room.
namestringName of the room associated with the block out time.

block_out_time_type Object

NameTypeDescription
ididUnique identifier of the type of the block out time.
namestringName of the type of the block out time.
durationintDuration of the block out time.

recurring_block_out_time Object

NameTypeDescription
ididId of the recurring block out time.
time_periodstringTiming of the recurring block out time.
intervalintInterval of the recurrences for the block out time.
rec_start_datedatetimeStart date of the recurring block out time.
rec_end_datedatetimeEnd date of the recurring block out time.
week_daysintNumber of days the block out time recurs.
occurencesintNumber of occurrences of the block out time.
Path Params
string
required

Unique identifier of a center.

Query Params
date
Defaults to 2023-06-01

Format: YYYY-MM-DD Start date to Retrieve the blockout times of the center

date
Defaults to 2023-06-01

Format: YYYY-MM-DD, End date to Retrieve the blockout times of the center

int32
Defaults to 0

blockout creation source filter.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json